## ros-ardent-pcl-conversions 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pcl_conversions)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(Boost REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(Eigen3 REQUIRED)
# TODO(clalancette): Re-enable this once we have pcl_msgs
#find_package(pcl_msgs REQUIRED)
find_package(PCL REQUIRED QUIET COMPONENTS common)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include ${PCL_COMMON_INCLUDE_DIRS} ${Eigen_INCLUDE_DIRS})

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Add gtest based cpp test target
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(${PROJECT_NAME}-test test/test_pcl_conversions.cpp)
  ament_target_dependencies(${PROJECT_NAME}-test
    "sensor_msgs"
    "std_msgs"
  )
  target_link_libraries(${PROJECT_NAME}-test ${Boost_LIBRARIES})
endif()

ament_export_include_directories(include ${Eigen_INCLUDE_DIRS} ${PCL_COMMON_INCLUDE_DIRS})
ament_package()

=== debian/changelog ===
ros-ardent-pcl-conversions (2.0.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 09 Dec 2017 08:36:48 -0000

ros-ardent-pcl-conversions (0.2.1-0xenial) xenial; urgency=high

  * Added a test for rounding errors in stamp conversion
    for some values the test fails.
  * add pcl::PointCloud to Image msg converter for extracting the rgb component of a cloud
  * Contributors: Brice Rebsamen, Lucid One, Michael Ferguson, Paul Bovbel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-ardent-pcl-conversions (0.2.0-0xenial) xenial; urgency=high

  * Added conversions for stamp types
  * update maintainer info, add eigen dependency
  * fix Eigen dependency
  * Make pcl_conversions run_depend on libpcl-all-dev
  * Contributors: Brice Rebsamen, Paul Bovbel, Scott K Logan, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 10 Apr 2014 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.5-0xenial) xenial; urgency=high

  * Use new pcl rosdep keys (libpcl-all and libpcl-all-dev)

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.4-0xenial) xenial; urgency=high

  * Fixup dependencies and CMakeLists.txt:
    
      * Added a versioned dependency on pcl, fixes #1 <https://github.com/ros-perception/pcl_conversions/issues/1>
      * Added a dependency on pcl_msgs, fixes #2 <https://github.com/ros-perception/pcl_conversions/issues/2>
      * Wrapped the test target in a CATKIN_ENABLE_TESTING check
    

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Jul 2013 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.3-0xenial) xenial; urgency=high

  * Add missing dependency on roscpp
  * Fixup tests and pcl usage in CMakeList.txt

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Jul 2013 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.2-0xenial) xenial; urgency=high

  * small fix for conversion functions

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 12 Jul 2013 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.1-0xenial) xenial; urgency=high

  * Fix find_package bug with pcl

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 10 Jul 2013 07:00:00 -0000

ros-ardent-pcl-conversions (0.1.0-0xenial) xenial; urgency=high

  * Initial release
  * This package is designed to allow users to more easily convert between pcl-1.7+ types and ROS message types

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Jul 2013 22:49:26 -0700

=== debian/control ===
Source: ros-ardent-pcl-conversions
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-ardent-ament-cmake, ros-ardent-ament-cmake-gtest, ros-ardent-builtin-interfaces, ros-ardent-sensor-msgs, ros-ardent-std-msgs, ros-ardent-ros-workspace
Homepage: http://wiki.ros.org/pcl_conversions
Standards-Version: 3.9.2

Package: ros-ardent-pcl-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-ardent-builtin-interfaces, ros-ardent-sensor-msgs, ros-ardent-std-msgs, ros-ardent-ros-workspace
Description: Provides conversions from PCL data types and ROS message types

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-pcl-conversions//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
